namespace :tags do

  desc "Define topics"
  task :define_topics => :environment do
    ['Artes', 'Biologia', 'Ciências', 'Educação Física', 'Filosofia',
     'Física', 'Geografia', 'História', 'Matemática', 'Língua Portuguesa', 'Química', 'Sociologia'].map do |name|
      t = ActsAsTaggableOn::Tag.find_by_name(name)
      if t.class == ActsAsTaggableOn::Tag
        t.tag_type = 'topic'
        t.save
      end
    end
  end

  desc "Define school levels"
  task :define_school_levels => :environment do
    ['Educação Básica', 'Ensino Fundamental Final', 'Ensino Fundamental Inicial',
     'Ensino Médio', 'Educação Superior', 'Educação Profissional', 'Educação Infantil'].map do |name|
      t = ActsAsTaggableOn::Tag.find_by_name(name)
      if t.class == ActsAsTaggableOn::Tag
        t.tag_type = 'school_level'
        t.save
      end
    end
  end
end
